Loading...
Searching...
No Matches
Opm::RestartIO::RstConnection Struct Reference

## Public Member Functions

| RstConnection (const UnitSystem &unit_system, std::size_t rst_index, int nsconz, const int *icon, const float *scon, const double *xcon)

## Static Public Member Functions

static double | inverse_peaceman (double cf, double kh, double rw, double skin)

## Public Attributes

std::size_t | rst_index
std::array< int, 3 > | ijk
int | lgr_grid {0}
Connection::State | state
int | drain_sat_table
int | imb_sat_table
int | completion
Connection::Direction | dir
int | segment
Connection::CTFKind | cf_kind
float | skin_factor
float | cf
float | depth
float | diameter
float | kh
float | denom
float | length
float | static_dfac_corr_coeff
float | segdist_end
float | segdist_start
double | oil_rate
double | water_rate
double | gas_rate
double | pressure
double | resv_rate
double | r0

The documentation for this struct was generated from the following files:

- opm/io/eclipse/rst/connection.hpp
- opm/io/eclipse/rst/connection.cpp